import ErrorResponseFactory from './ErrorResponseFactory.ts'
import HTTPError from '../../error/HTTPError.ts'

/**
 * Response factory that renders a given HTTP error.
 * @extends ErrorResponseFactory
 */
export default class HTTPErrorResponseFactory extends ErrorResponseFactory {
    constructor(
        /**
         * The HTTP error to render.
         * @type HTTPError
         */
        public readonly error: HTTPError,
        /**
         * The output format.
         * @type 'json' | 'html'
         */
        output: 'json' | 'html',
    ) {
        super(error, error.http_status, output)
    }
}
