import SessionFactory from './SessionFactory.ts'
import MemorySession from './MemorySession.ts'
import SessionInterface from './SessionInterface.ts'

/**
 * Session factory that produces memory-based sessions.
 * @extends SessionFactory
 */
export default class MemorySessionFactory extends SessionFactory {
    produce(dependencies: any[], parameters: any[]): SessionInterface {
        return new MemorySession()
    }
}
